* [gentoo-commits] repo/gentoo:master commit in: app-emacs/citar/
@ 2023-02-17 1:43 Maciej Barć
0 siblings, 0 replies; 9+ messages in thread
From: Maciej Barć @ 2023-02-17 1:43 UTC (permalink / raw
To: gentoo-commits
commit: 87e8b8eb0c739ac1415365fbec6188f6734657d0
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 17 00:53:42 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Feb 17 01:22:11 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=87e8b8eb
app-emacs/citar: bump to 1.1
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
app-emacs/citar/Manifest | 1 +
app-emacs/citar/citar-1.1.ebuild | 43 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/app-emacs/citar/Manifest b/app-emacs/citar/Manifest
index 1eac9a440400..aa078ac35d44 100644
--- a/app-emacs/citar/Manifest
+++ b/app-emacs/citar/Manifest
@@ -1 +1,2 @@
DIST citar-1.0.tar.gz 1339812 BLAKE2B 2093cc820199219ec70f99a746c630f2b8e6b4d464b1457d7b7db1c5c953138e7dd5ac55e21b13e7417dd0a764b6f1caaf400af353ecce9fb7e1bc578f570b0d SHA512 7f02a4e41a927c2c7c625189fa38caea8f0fc5616dd3487a93f71a373d1e4a124dd1cc520778a1ff2fa6dd7c3b619b539e3b0e47cb9caf7edd16e27e9d739585
+DIST citar-1.1.tar.gz 1340039 BLAKE2B b2090a35a582918300f5e4bb2188d463630988830305aa4bb5e1e27f45ff8c96ca35458e610e13658b2120af497f9b877054a6fbebda48e0a4d87824ef48e9c8 SHA512 2b1924ef1a05a170eea31f844055b914410cd35613eda6604f08164818a8fc5480fc5a6d6f055ba95331b517305e51a6e671214cc88fccbda2430ae9b06dda49
diff --git a/app-emacs/citar/citar-1.1.ebuild b/app-emacs/citar/citar-1.1.ebuild
new file mode 100644
index 000000000000..9c62e000f5a7
--- /dev/null
+++ b/app-emacs/citar/citar-1.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=27.1
+
+inherit elisp
+
+DESCRIPTION="Emacs package to quickly find and act on bibliographic references"
+HOMEPAGE="https://github.com/emacs-citar/citar/"
+SRC_URI="https://github.com/emacs-citar/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ app-emacs/citeproc-el
+ app-emacs/parsebib
+"
+BDEPEND="${RDEPEND}"
+
+# Embark integration has it's own package on MELPA, and it is probably better
+# to split them. https://melpa.org/#/citar-embark
+ELISP_REMOVE="citar-embark.el"
+
+DOCS=( CHANGELOG.org CONTRIBUTING.org README.org images )
+SITEFILE="50${PN}-gentoo.el"
+
+src_compile() {
+ elisp_src_compile
+ elisp-make-autoload-file
+}
+
+src_test() {
+ ${EMACS} ${EMACSFLAGS} -L . -L test \
+ -l test/citar-file-test.el \
+ -l test/citar-format-test.el \
+ -l test/citar-test.el \
+ -f ert-run-tests-batch-and-exit || die
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emacs/citar/
@ 2023-03-19 14:18 Maciej Barć
0 siblings, 0 replies; 9+ messages in thread
From: Maciej Barć @ 2023-03-19 14:18 UTC (permalink / raw
To: gentoo-commits
commit: a34d2b11593df39decfbde435800c98fd1c0ed5c
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 19 12:34:19 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Mar 19 13:53:09 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a34d2b11
app-emacs/citar: bump to 1.2.0
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
app-emacs/citar/Manifest | 1 +
app-emacs/citar/citar-1.2.0.ebuild | 43 ++++++++++++++++++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/app-emacs/citar/Manifest b/app-emacs/citar/Manifest
index aa078ac35d44..66db9053f0a3 100644
--- a/app-emacs/citar/Manifest
+++ b/app-emacs/citar/Manifest
@@ -1,2 +1,3 @@
DIST citar-1.0.tar.gz 1339812 BLAKE2B 2093cc820199219ec70f99a746c630f2b8e6b4d464b1457d7b7db1c5c953138e7dd5ac55e21b13e7417dd0a764b6f1caaf400af353ecce9fb7e1bc578f570b0d SHA512 7f02a4e41a927c2c7c625189fa38caea8f0fc5616dd3487a93f71a373d1e4a124dd1cc520778a1ff2fa6dd7c3b619b539e3b0e47cb9caf7edd16e27e9d739585
DIST citar-1.1.tar.gz 1340039 BLAKE2B b2090a35a582918300f5e4bb2188d463630988830305aa4bb5e1e27f45ff8c96ca35458e610e13658b2120af497f9b877054a6fbebda48e0a4d87824ef48e9c8 SHA512 2b1924ef1a05a170eea31f844055b914410cd35613eda6604f08164818a8fc5480fc5a6d6f055ba95331b517305e51a6e671214cc88fccbda2430ae9b06dda49
+DIST citar-1.2.0.tar.gz 1417090 BLAKE2B 40673ee0f2ee5b4f86928e140714a517958d261c632ea1e7bcb3dcd3dde3a0bb9baaaa1107f50447f1d8e87485570033afbf0c652fa6b3f1fbffeda7b7df04c3 SHA512 31f817de77bc8fe9e2fdf96ac7df521ebe5685cf49a2a78cd2b1cd51e538165bde36fc8515c2fd7c20d4c6160372fdf37c1b870b12167f946c0f3934edd5fb7c
diff --git a/app-emacs/citar/citar-1.2.0.ebuild b/app-emacs/citar/citar-1.2.0.ebuild
new file mode 100644
index 000000000000..9c62e000f5a7
--- /dev/null
+++ b/app-emacs/citar/citar-1.2.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=27.1
+
+inherit elisp
+
+DESCRIPTION="Emacs package to quickly find and act on bibliographic references"
+HOMEPAGE="https://github.com/emacs-citar/citar/"
+SRC_URI="https://github.com/emacs-citar/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ app-emacs/citeproc-el
+ app-emacs/parsebib
+"
+BDEPEND="${RDEPEND}"
+
+# Embark integration has it's own package on MELPA, and it is probably better
+# to split them. https://melpa.org/#/citar-embark
+ELISP_REMOVE="citar-embark.el"
+
+DOCS=( CHANGELOG.org CONTRIBUTING.org README.org images )
+SITEFILE="50${PN}-gentoo.el"
+
+src_compile() {
+ elisp_src_compile
+ elisp-make-autoload-file
+}
+
+src_test() {
+ ${EMACS} ${EMACSFLAGS} -L . -L test \
+ -l test/citar-file-test.el \
+ -l test/citar-format-test.el \
+ -l test/citar-test.el \
+ -f ert-run-tests-batch-and-exit || die
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emacs/citar/
@ 2023-03-28 0:57 Maciej Barć
0 siblings, 0 replies; 9+ messages in thread
From: Maciej Barć @ 2023-03-28 0:57 UTC (permalink / raw
To: gentoo-commits
commit: 59a6af4806319d30af8b8e2e9cc398d2e9f11cf1
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 28 00:05:49 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Mar 28 00:50:38 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59a6af48
app-emacs/citar: bump to 1.3.1
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
app-emacs/citar/Manifest | 1 +
app-emacs/citar/citar-1.3.1.ebuild | 43 ++++++++++++++++++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/app-emacs/citar/Manifest b/app-emacs/citar/Manifest
index 66db9053f0a3..3277625f58f0 100644
--- a/app-emacs/citar/Manifest
+++ b/app-emacs/citar/Manifest
@@ -1,3 +1,4 @@
DIST citar-1.0.tar.gz 1339812 BLAKE2B 2093cc820199219ec70f99a746c630f2b8e6b4d464b1457d7b7db1c5c953138e7dd5ac55e21b13e7417dd0a764b6f1caaf400af353ecce9fb7e1bc578f570b0d SHA512 7f02a4e41a927c2c7c625189fa38caea8f0fc5616dd3487a93f71a373d1e4a124dd1cc520778a1ff2fa6dd7c3b619b539e3b0e47cb9caf7edd16e27e9d739585
DIST citar-1.1.tar.gz 1340039 BLAKE2B b2090a35a582918300f5e4bb2188d463630988830305aa4bb5e1e27f45ff8c96ca35458e610e13658b2120af497f9b877054a6fbebda48e0a4d87824ef48e9c8 SHA512 2b1924ef1a05a170eea31f844055b914410cd35613eda6604f08164818a8fc5480fc5a6d6f055ba95331b517305e51a6e671214cc88fccbda2430ae9b06dda49
DIST citar-1.2.0.tar.gz 1417090 BLAKE2B 40673ee0f2ee5b4f86928e140714a517958d261c632ea1e7bcb3dcd3dde3a0bb9baaaa1107f50447f1d8e87485570033afbf0c652fa6b3f1fbffeda7b7df04c3 SHA512 31f817de77bc8fe9e2fdf96ac7df521ebe5685cf49a2a78cd2b1cd51e538165bde36fc8515c2fd7c20d4c6160372fdf37c1b870b12167f946c0f3934edd5fb7c
+DIST citar-1.3.1.tar.gz 1602843 BLAKE2B 0abf90120860777e13ac495681bb1e07d6c352bc17aef173b32e60fc2d754a37628670b57e17335bc5e549c451b9565a58c8547952a5b78d6335adc7601b8f5e SHA512 a00e7ff5331fa3a161151292dd4a9d3c0a7211051f5ddf528cfe7d4a48377af64f3719f57c76013b45a30082fbfd435d98196e757169970a22bb662f49ccd346
diff --git a/app-emacs/citar/citar-1.3.1.ebuild b/app-emacs/citar/citar-1.3.1.ebuild
new file mode 100644
index 000000000000..1e1644827e32
--- /dev/null
+++ b/app-emacs/citar/citar-1.3.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=27.1
+
+inherit elisp
+
+DESCRIPTION="Emacs package to quickly find and act on bibliographic references"
+HOMEPAGE="https://github.com/emacs-citar/citar/"
+SRC_URI="https://github.com/emacs-citar/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ app-emacs/citeproc-el
+ app-emacs/parsebib
+"
+BDEPEND="${RDEPEND}"
+
+# Embark integration has it's own package on MELPA, and it is probably better
+# to split them. https://melpa.org/#/citar-embark
+ELISP_REMOVE="citar-embark.el"
+
+DOCS=( CHANGELOG.md CONTRIBUTING.org README.org )
+SITEFILE="50${PN}-gentoo.el"
+
+src_compile() {
+ elisp_src_compile
+ elisp-make-autoload-file
+}
+
+src_test() {
+ ${EMACS} ${EMACSFLAGS} -L . -L test \
+ -l test/citar-file-test.el \
+ -l test/citar-format-test.el \
+ -l test/citar-test.el \
+ -f ert-run-tests-batch-and-exit || die
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emacs/citar/
@ 2023-03-28 0:57 Maciej Barć
0 siblings, 0 replies; 9+ messages in thread
From: Maciej Barć @ 2023-03-28 0:57 UTC (permalink / raw
To: gentoo-commits
commit: ee6cfa2900eb5912ee8946832ca44b9619adfb5c
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 28 00:06:00 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Mar 28 00:50:48 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee6cfa29
app-emacs/citar: drop old 1.0
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
app-emacs/citar/Manifest | 1 -
app-emacs/citar/citar-1.0.ebuild | 43 ----------------------------------------
2 files changed, 44 deletions(-)
diff --git a/app-emacs/citar/Manifest b/app-emacs/citar/Manifest
index 3277625f58f0..a6c2c9046d09 100644
--- a/app-emacs/citar/Manifest
+++ b/app-emacs/citar/Manifest
@@ -1,4 +1,3 @@
-DIST citar-1.0.tar.gz 1339812 BLAKE2B 2093cc820199219ec70f99a746c630f2b8e6b4d464b1457d7b7db1c5c953138e7dd5ac55e21b13e7417dd0a764b6f1caaf400af353ecce9fb7e1bc578f570b0d SHA512 7f02a4e41a927c2c7c625189fa38caea8f0fc5616dd3487a93f71a373d1e4a124dd1cc520778a1ff2fa6dd7c3b619b539e3b0e47cb9caf7edd16e27e9d739585
DIST citar-1.1.tar.gz 1340039 BLAKE2B b2090a35a582918300f5e4bb2188d463630988830305aa4bb5e1e27f45ff8c96ca35458e610e13658b2120af497f9b877054a6fbebda48e0a4d87824ef48e9c8 SHA512 2b1924ef1a05a170eea31f844055b914410cd35613eda6604f08164818a8fc5480fc5a6d6f055ba95331b517305e51a6e671214cc88fccbda2430ae9b06dda49
DIST citar-1.2.0.tar.gz 1417090 BLAKE2B 40673ee0f2ee5b4f86928e140714a517958d261c632ea1e7bcb3dcd3dde3a0bb9baaaa1107f50447f1d8e87485570033afbf0c652fa6b3f1fbffeda7b7df04c3 SHA512 31f817de77bc8fe9e2fdf96ac7df521ebe5685cf49a2a78cd2b1cd51e538165bde36fc8515c2fd7c20d4c6160372fdf37c1b870b12167f946c0f3934edd5fb7c
DIST citar-1.3.1.tar.gz 1602843 BLAKE2B 0abf90120860777e13ac495681bb1e07d6c352bc17aef173b32e60fc2d754a37628670b57e17335bc5e549c451b9565a58c8547952a5b78d6335adc7601b8f5e SHA512 a00e7ff5331fa3a161151292dd4a9d3c0a7211051f5ddf528cfe7d4a48377af64f3719f57c76013b45a30082fbfd435d98196e757169970a22bb662f49ccd346
diff --git a/app-emacs/citar/citar-1.0.ebuild b/app-emacs/citar/citar-1.0.ebuild
deleted file mode 100644
index 0f6a51de1eb0..000000000000
--- a/app-emacs/citar/citar-1.0.ebuild
+++ /dev/null
@@ -1,43 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-NEED_EMACS=27.1
-
-inherit elisp
-
-DESCRIPTION="Emacs package to quickly find and act on bibliographic references"
-HOMEPAGE="https://github.com/emacs-citar/citar/"
-SRC_URI="https://github.com/emacs-citar/${PN}/archive/v${PV}.tar.gz
- -> ${P}.tar.gz"
-
-LICENSE="GPL-3+"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- app-emacs/citeproc-el
- app-emacs/parsebib
-"
-BDEPEND="${RDEPEND}"
-
-# Embark integration has it's own package on MELPA, and it is probably better
-# to split them. https://melpa.org/#/citar-embark
-ELISP_REMOVE="citar-embark.el"
-
-DOCS=( CHANGELOG.org CONTRIBUTING.org README.org images )
-SITEFILE="50${PN}-gentoo.el"
-
-src_compile() {
- elisp_src_compile
- elisp-make-autoload-file
-}
-
-src_test() {
- ${EMACS} ${EMACSFLAGS} -L . -L test \
- -l test/citar-file-test.el \
- -l test/citar-format-test.el \
- -l test/citar-test.el \
- -f ert-run-tests-batch-and-exit || die
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emacs/citar/
@ 2023-04-04 20:17 Arthur Zamarin
0 siblings, 0 replies; 9+ messages in thread
From: Arthur Zamarin @ 2023-04-04 20:17 UTC (permalink / raw
To: gentoo-commits
commit: c118441f8eb62a326f960793efd3e39fbfaf297c
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 4 20:17:32 2023 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Apr 4 20:17:32 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c118441f
app-emacs/citar: Stabilize 1.1 amd64, #903678
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
app-emacs/citar/citar-1.1.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/app-emacs/citar/citar-1.1.ebuild b/app-emacs/citar/citar-1.1.ebuild
index 9c62e000f5a7..ff1b374f1f92 100644
--- a/app-emacs/citar/citar-1.1.ebuild
+++ b/app-emacs/citar/citar-1.1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/emacs-citar/${PN}/archive/v${PV}.tar.gz
LICENSE="GPL-3+"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="amd64"
RDEPEND="
app-emacs/citeproc-el
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emacs/citar/
@ 2023-04-20 4:17 Sam James
0 siblings, 0 replies; 9+ messages in thread
From: Sam James @ 2023-04-20 4:17 UTC (permalink / raw
To: gentoo-commits
commit: c3ae52ce05952faf5019c5ee7edd30304c1afbb4
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 20 04:17:08 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Apr 20 04:17:26 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c3ae52ce
app-emacs/citar: Stabilize 1.2.0 amd64, #904686
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-emacs/citar/citar-1.2.0.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/app-emacs/citar/citar-1.2.0.ebuild b/app-emacs/citar/citar-1.2.0.ebuild
index 9c62e000f5a7..ff1b374f1f92 100644
--- a/app-emacs/citar/citar-1.2.0.ebuild
+++ b/app-emacs/citar/citar-1.2.0.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/emacs-citar/${PN}/archive/v${PV}.tar.gz
LICENSE="GPL-3+"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="amd64"
RDEPEND="
app-emacs/citeproc-el
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emacs/citar/
@ 2023-04-27 23:32 Sam James
0 siblings, 0 replies; 9+ messages in thread
From: Sam James @ 2023-04-27 23:32 UTC (permalink / raw
To: gentoo-commits
commit: 88992c64ecef459fd7bfc2ba0e079be23b8f8039
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 27 23:32:27 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Apr 27 23:32:27 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88992c64
app-emacs/citar: Stabilize 1.3.1 amd64, #905189
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-emacs/citar/citar-1.3.1.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/app-emacs/citar/citar-1.3.1.ebuild b/app-emacs/citar/citar-1.3.1.ebuild
index 1e1644827e32..f72de66e4d91 100644
--- a/app-emacs/citar/citar-1.3.1.ebuild
+++ b/app-emacs/citar/citar-1.3.1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/emacs-citar/${PN}/archive/v${PV}.tar.gz
LICENSE="GPL-3+"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="amd64"
RDEPEND="
app-emacs/citeproc-el
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emacs/citar/
@ 2023-10-23 20:39 Maciej Barć
0 siblings, 0 replies; 9+ messages in thread
From: Maciej Barć @ 2023-10-23 20:39 UTC (permalink / raw
To: gentoo-commits
commit: ba63641a013dbfc8904e33a9790c675bed23fc72
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 23 20:22:29 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Oct 23 20:38:58 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba63641a
app-emacs/citar: bump to 1.4.0
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
app-emacs/citar/Manifest | 1 +
app-emacs/citar/citar-1.4.0.ebuild | 43 ++++++++++++++++++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/app-emacs/citar/Manifest b/app-emacs/citar/Manifest
index 826e615e2d50..3116798a392e 100644
--- a/app-emacs/citar/Manifest
+++ b/app-emacs/citar/Manifest
@@ -1 +1,2 @@
DIST citar-1.3.1.tar.gz 1602843 BLAKE2B 0abf90120860777e13ac495681bb1e07d6c352bc17aef173b32e60fc2d754a37628670b57e17335bc5e549c451b9565a58c8547952a5b78d6335adc7601b8f5e SHA512 a00e7ff5331fa3a161151292dd4a9d3c0a7211051f5ddf528cfe7d4a48377af64f3719f57c76013b45a30082fbfd435d98196e757169970a22bb662f49ccd346
+DIST citar-1.4.0.tar.gz 1604664 BLAKE2B 26ebe97a6701fa8c8d528ad0c6d750ea5acebda1fe6322c157fe62995140a9b3f16274888e51110a01dbd1681d7552637bc230d5d1e95270157bc524c037d7da SHA512 42ddb8eec21ad8c53b77b5ee235cd839fdb8d3a3efef8db28effd2bfc63d1d25c1031abb21df476e0243c99aaa619c2d1f29142f5569deb06281774c960924a9
diff --git a/app-emacs/citar/citar-1.4.0.ebuild b/app-emacs/citar/citar-1.4.0.ebuild
new file mode 100644
index 000000000000..1e1644827e32
--- /dev/null
+++ b/app-emacs/citar/citar-1.4.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=27.1
+
+inherit elisp
+
+DESCRIPTION="Emacs package to quickly find and act on bibliographic references"
+HOMEPAGE="https://github.com/emacs-citar/citar/"
+SRC_URI="https://github.com/emacs-citar/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ app-emacs/citeproc-el
+ app-emacs/parsebib
+"
+BDEPEND="${RDEPEND}"
+
+# Embark integration has it's own package on MELPA, and it is probably better
+# to split them. https://melpa.org/#/citar-embark
+ELISP_REMOVE="citar-embark.el"
+
+DOCS=( CHANGELOG.md CONTRIBUTING.org README.org )
+SITEFILE="50${PN}-gentoo.el"
+
+src_compile() {
+ elisp_src_compile
+ elisp-make-autoload-file
+}
+
+src_test() {
+ ${EMACS} ${EMACSFLAGS} -L . -L test \
+ -l test/citar-file-test.el \
+ -l test/citar-format-test.el \
+ -l test/citar-test.el \
+ -f ert-run-tests-batch-and-exit || die
+}
^ permalink raw reply related [flat|nested] 9+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-emacs/citar/
@ 2023-11-13 12:38 Maciej Barć
0 siblings, 0 replies; 9+ messages in thread
From: Maciej Barć @ 2023-11-13 12:38 UTC (permalink / raw
To: gentoo-commits
commit: 6249b4fd00ad91ff51637092758c16f3632cce56
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 13 12:32:42 2023 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Nov 13 12:38:02 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6249b4fd
app-emacs/citar: drop old 1.3.1
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
app-emacs/citar/Manifest | 1 -
app-emacs/citar/citar-1.3.1.ebuild | 43 --------------------------------------
2 files changed, 44 deletions(-)
diff --git a/app-emacs/citar/Manifest b/app-emacs/citar/Manifest
index 3116798a392e..0c77fdc6b931 100644
--- a/app-emacs/citar/Manifest
+++ b/app-emacs/citar/Manifest
@@ -1,2 +1 @@
-DIST citar-1.3.1.tar.gz 1602843 BLAKE2B 0abf90120860777e13ac495681bb1e07d6c352bc17aef173b32e60fc2d754a37628670b57e17335bc5e549c451b9565a58c8547952a5b78d6335adc7601b8f5e SHA512 a00e7ff5331fa3a161151292dd4a9d3c0a7211051f5ddf528cfe7d4a48377af64f3719f57c76013b45a30082fbfd435d98196e757169970a22bb662f49ccd346
DIST citar-1.4.0.tar.gz 1604664 BLAKE2B 26ebe97a6701fa8c8d528ad0c6d750ea5acebda1fe6322c157fe62995140a9b3f16274888e51110a01dbd1681d7552637bc230d5d1e95270157bc524c037d7da SHA512 42ddb8eec21ad8c53b77b5ee235cd839fdb8d3a3efef8db28effd2bfc63d1d25c1031abb21df476e0243c99aaa619c2d1f29142f5569deb06281774c960924a9
diff --git a/app-emacs/citar/citar-1.3.1.ebuild b/app-emacs/citar/citar-1.3.1.ebuild
deleted file mode 100644
index f72de66e4d91..000000000000
--- a/app-emacs/citar/citar-1.3.1.ebuild
+++ /dev/null
@@ -1,43 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-NEED_EMACS=27.1
-
-inherit elisp
-
-DESCRIPTION="Emacs package to quickly find and act on bibliographic references"
-HOMEPAGE="https://github.com/emacs-citar/citar/"
-SRC_URI="https://github.com/emacs-citar/${PN}/archive/v${PV}.tar.gz
- -> ${P}.tar.gz"
-
-LICENSE="GPL-3+"
-SLOT="0"
-KEYWORDS="amd64"
-
-RDEPEND="
- app-emacs/citeproc-el
- app-emacs/parsebib
-"
-BDEPEND="${RDEPEND}"
-
-# Embark integration has it's own package on MELPA, and it is probably better
-# to split them. https://melpa.org/#/citar-embark
-ELISP_REMOVE="citar-embark.el"
-
-DOCS=( CHANGELOG.md CONTRIBUTING.org README.org )
-SITEFILE="50${PN}-gentoo.el"
-
-src_compile() {
- elisp_src_compile
- elisp-make-autoload-file
-}
-
-src_test() {
- ${EMACS} ${EMACSFLAGS} -L . -L test \
- -l test/citar-file-test.el \
- -l test/citar-format-test.el \
- -l test/citar-test.el \
- -f ert-run-tests-batch-and-exit || die
-}
^ permalink raw reply related [flat|nested] 9+ messages in thread
end of thread, other threads:[~2023-11-13 12:38 UTC | newest]
Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-11-13 12:38 [gentoo-commits] repo/gentoo:master commit in: app-emacs/citar/ Maciej Barć
-- strict thread matches above, loose matches on Subject: below --
2023-10-23 20:39 Maciej Barć
2023-04-27 23:32 Sam James
2023-04-20 4:17 Sam James
2023-04-04 20:17 Arthur Zamarin
2023-03-28 0:57 Maciej Barć
2023-03-28 0:57 Maciej Barć
2023-03-19 14:18 Maciej Barć
2023-02-17 1:43 Maciej Barć
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox